//: c13:ButtonApp.java
// From Thinking in Java, 2nd Edition
// Available at http://www.BruceEckel.com
// (c) Bruce Eckel 1999
// Copyright notice in Copyright.txt
// Creating an application
import javax.swing.*;
import java.awt.event.*;
import java.awt.*;

public class ButtonApp extends JFrame {
  JButton 
    b1 = new JButton("Hello"), 
    b2 = new JButton("Howdy");
  JTextField t = new JTextField(15);
  ActionListener al = new ActionListener() {
    public void actionPerformed(ActionEvent e){
      String name = 
        ((JButton)e.getSource()).getText();
      t.setText(name);
    }
  };
  public ButtonApp(String name) {
    super(name);
    b1.addActionListener(al);
    b2.addActionListener(al);
    Container cp = getContentPane();
    cp.setLayout(new FlowLayout());
    cp.add(b1);
    cp.add(b2);
    cp.add(t);
  }
  public static void main(String[] args) {
    JFrame frame = new ButtonApp("ButtonApp");
    frame.addWindowListener(
      new WindowAdapter() {
        public void windowClosing(WindowEvent e){
          System.exit(0);
        }
    });
    frame.setSize(400,100);
    frame.setVisible(true);
  }  
} ///:~
