//: c13:PrintDemoApplet.java
// From Thinking in Java, 2nd Edition
// Available at http://www.BruceEckel.com
// (c) Bruce Eckel 1999
// Copyright notice in Copyright.txt
// Creating a Frame from within an Applet
// <applet code=PrintDemoApplet
// width=600 height=600> </applet>
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class PrintDemoApplet extends JApplet {
  public void init() {
    JButton b = new JButton("Run PrintDemo");
    b.addActionListener(new PDL());
    getContentPane().setLayout(new FlowLayout());
    getContentPane().add(b);
  }
  class PDL implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      final PrintDemo pd = new PrintDemo();
      pd.addWindowListener(new WindowAdapter() {
        public void windowClosing(WindowEvent e){
          pd.dispose();
        }
      });
      pd.setSize(600,600);
      pd.setVisible(true);
    }
  }
} ///:~
